ESG
Universes

Universe CES Statistics

Get maximum CES score and date for entities in a universe

The CES is only available 48 hours after an entity is registered. Before that, the route returns the universe CES without including newly registered entities.

GET
https://api.textreveal.com/v3/universes/{universe_id}/esg/ces/stats

Request

This API route is experimental.

Route name, parameters and responses might change.

Parameters

  • universe_id*uuid

    Unique identifier of the universe.

    Example: "75ebc096-749e-4b8f-b690-df13daf49c62"
  • sizeinteger

    Number of records per page

    Default: 10Range: [1, 1000]
  • pageinteger

    Page number, 1-based

    Minimum: 1
  • order(field:direction (enum))[]

    Order to apply to the result.

    Possible fields are: max.date, max.value.

    Possible directions are: asc and desc.

    You can specify multiples values.

    Default: [max.value:desc]Example: "max.value:desc"
  • ces_scoreinteger (operator)

    Filter by CES score value.

    Range: [0, 100]
  • datedate (operator)

    Extraction date

    Example: "between:2022-01-01;2022-01-02"

Response

Response - 200

Array of entities with their maximum CES score and the date it was recorded

  • data*object[]

    Paginated CES stats.

  • size*integer

    Number of records per page requested.

    Minimum: 1
  • has_next*boolean

    True if there are more records available.

    Example: true
  • count*integer

    Number of records returned in the current page.

    Minimum: 0
Response
{
  "data": [
    {
      "entity_id": "00000000-0000-0000-0000-000000000000",
      "ces_score": {
        "max": {
          "value": 89,
          "date": "2025-05-06"
        }
      }
    }
  ],
  "size": 1,
  "has_next": true,
  "count": 1
}

Error

Error - 400

Bad request

  • message*string

    Error message.

    Example: "Check the errors field for more details"
  • code*number (enum)

    Error code.

    Values: 400
  • reason*string (enum)

    Error reason.

    Values: "invalid"
  • errorsobject[]

    Possible error causes.

Response
{
  "message": "Check the errors field for more details",
  "code": 400,
  "reason": "invalid",
  "errors": [
    {
      "message": "string",
      "field": "size",
      "reason": "invalid_type"
    }
  ]
}

Error - 404

Not found

  • message*string

    Error message.

    Example: "The requested universe does not exist or is not visible to your company."
  • code*number (enum)

    Error code.

    Values: 404
  • reason*string (enum)

    Error reason.

    Values: "not_found"
Response
{
  "message": "The requested universe does not exist or is not visible to your company.",
  "code": 404,
  "reason": "not_found"
}

Generic errors are not shown, see Errors for more details.